Bug 207834 - [PATCH] devel/awscli: update to 1.10.11, devel/py-botocore: update to 1.4.2
Summary: [PATCH] devel/awscli: update to 1.10.11, devel/py-botocore: update to 1.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Raphael Kubo da Costa
URL:
Keywords: patch
Depends on: 207833
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 08:49 UTC by Bradley T. Hughes
Modified: 2016-03-14 16:03 UTC (History)
2 users (show)

See Also:
alexey: maintainer-feedback+


Attachments
patch from a git commit, apply with patch -p1 (2.61 KB, patch)
2016-03-09 08:49 UTC, Bradley T. Hughes
rakuco: maintainer-approval+
Details | Diff
py-botocore poudriere testport log (141.82 KB, text/plain)
2016-03-09 08:50 UTC, Bradley T. Hughes
no flags Details
py-botocore portlint log from poudriere (12 bytes, text/plain)
2016-03-09 08:50 UTC, Bradley T. Hughes
no flags Details
awscli poudriere testport log (317.91 KB, text/plain)
2016-03-09 08:51 UTC, Bradley T. Hughes
no flags Details
awscli portlint log from poudriere (12 bytes, text/plain)
2016-03-09 08:52 UTC, Bradley T. Hughes
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bradley T. Hughes freebsd_committer 2016-03-09 08:49:28 UTC
Created attachment 167912 [details]
patch from a git commit, apply with patch -p1

Upgrade devel/awscli and devel/py-botocore to the latest versions. Both
packages need to be updated at the same time, as they are developed and
released in tandem.

Patch attached. See also https://github.com/bradleythughes/freebsd-ports/commit/53970e23342ac3b85d0f277301373a5dd227e1bd
Comment 1 Bradley T. Hughes freebsd_committer 2016-03-09 08:50:02 UTC
Created attachment 167913 [details]
py-botocore poudriere testport log
Comment 2 Bradley T. Hughes freebsd_committer 2016-03-09 08:50:22 UTC
Created attachment 167914 [details]
py-botocore portlint log from poudriere
Comment 3 Bradley T. Hughes freebsd_committer 2016-03-09 08:51:49 UTC
Created attachment 167915 [details]
awscli poudriere testport log
Comment 4 Bradley T. Hughes freebsd_committer 2016-03-09 08:52:12 UTC
Created attachment 167916 [details]
awscli portlint log from poudriere
Comment 5 Bradley T. Hughes freebsd_committer 2016-03-09 08:54:33 UTC
Note that upstream has a new dependency, which I've submitted as a new port in 207833.
Comment 6 Alexey Degtyarev 2016-03-11 11:48:07 UTC
I'm okay with this update, please proceed.  Thank you!
Comment 7 commit-hook freebsd_committer 2016-03-14 15:30:49 UTC
A commit references this bug:

Author: rakuco
Date: Mon Mar 14 15:29:53 UTC 2016
New revision: 411094
URL: https://svnweb.freebsd.org/changeset/ports/411094

Log:
  Update devel/awscli to 1.10.11, devel/py-botocore to 1.4.2.

  Both ports need to be updated at the same time, as they are developed and
  released in tandem.

  PR:		207834
  Submitted by:	Bradley T. Hughes <bradleythughes@fastmail.fm>
  Approved by:	alexey@renatasystems.org (maintainer)

Changes:
  head/devel/awscli/Makefile
  head/devel/awscli/distinfo
  head/devel/py-botocore/Makefile
  head/devel/py-botocore/distinfo
Comment 8 Raphael Kubo da Costa freebsd_committer 2016-03-14 16:03:41 UTC
Committed. Thanks, guys.